NAME = minetest.get_current_modname()

orion.register_slab_node(NAME .. ":leaf", {
	description = "Tree leaf",
	groups = { flora = 1 },
	node_dig_prediction = "air",
	tiles = { NAME .. "_leaf.png"},
	drawtype = "allfaces_optional",
	paramtype = "light",
	walkable = true,
	drop = {
		max_items = 1,
		items = {
			{ items = { NAME .. ":leaf" } }
		}
	}
})


minetest.register_craft({
	output = NAME .. ":stick",
	type = "shapeless",
	recipe = {
			NAME .. ":leaf", NAME .. ":leaf"
	},
})

orion.craft.register_hand_craft(NAME .. ":leaf", NAME .. ":stick", 2, 2)
orion.craft.register_fuel(NAME .. ":leaf", 10, 7)
orion.craft.register_fuel(NAME .. ":stick", 20, 3)
